Package tigase.xmpp.rsm

# Class RSM

java.lang.Object
tigase.xmpp.rsm.RSM

public class RSM extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `XMLNS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RSM()`
  `RSM(int defaultMax)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RSM`
  `fromElement(Element e)`
  `String`
  `getAfter()`
  `String`
  `getBefore()`
  `Integer`
  `getCount()`
  `String`
  `getFirst()`
  `Integer`
  `getIndex()`
  `String`
  `getLast()`
  `int`
  `getMax()`
  `boolean`
  `hasBefore()`
  `static RSM`
  `parseRootElement(Element e)`
  `static RSM`
  `parseRootElement(Element e, int defaultMax)`
  `void`
  `setAfter(String after)`
  `void`
  `setBefore(String before)`
  `void`
  `setCount(Integer count)`
  `void`
  `setFirst(String first)`
  `void`
  `setHasBefore(boolean hasBefore)`
  `void`
  `setIndex(Integer index)`
  `void`
  `setLast(String last)`
  `void`
  `setMax(int max)`
  `void`
  `setResults(Integer count, Integer index)`
  `void`
  `setResults(Integer count, String first, String last)`
  `Element`
  `toElement()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### XMLNS

    public static final String XMLNS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RSM

    public RSM(int defaultMax)

  - ### RSM

    public RSM()

- ## Method Details

  - ### parseRootElement

    public static RSM parseRootElement(Element e, int defaultMax)

  - ### parseRootElement

    public static RSM parseRootElement(Element e)

  - ### getMax

    public int getMax()

  - ### setMax

    public void setMax(int max)

  - ### getIndex

    public Integer getIndex()

  - ### setIndex

    public void setIndex(Integer index)

  - ### getAfter

    public String getAfter()

  - ### setAfter

    public void setAfter(String after)

  - ### getBefore

    public String getBefore()

  - ### setBefore

    public void setBefore(String before)

  - ### hasBefore

    public boolean hasBefore()

  - ### setHasBefore

    public void setHasBefore(boolean hasBefore)

  - ### getCount

    public Integer getCount()

  - ### setCount

    public void setCount(Integer count)

  - ### getFirst

    public String getFirst()

  - ### setFirst

    public void setFirst(String first)

  - ### getLast

    public String getLast()

  - ### setLast

    public void setLast(String last)

  - ### setResults

    public void setResults(Integer count, String first, String last)

  - ### setResults

    public void setResults(Integer count, Integer index)

  - ### fromElement

    public RSM fromElement(Element e)

  - ### toElement

    public Element toElement()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`